Name:          libbluedevil
Summary:       Qt-based library written in C++ to handle all Bluetooth functionality
Group:         Graphical desktop/KDE
Version:       1.9.2
Release:       %mkrel 2
License:       LGPLv2+
URL:           https://projects.kde.org/projects/playground/libs/libbluedevil
# Upstream did not release a tarball so we're using git
# git clone git://anongit.kde.org/libbluedevil
# git checkout v1.9

Source0:       ftp://ftp.kde.org/pub/kde/stable/%name/%version/src/%name-%{version}.tar.bz2

BuildRequires: cmake
BuildRequires: kde4-macros
BuildRequires: qt4-devel

%description 
Qt-based library written in C++ to handle all Bluetooth functionality

#------------------------------------------------

%define bluedevil_major 1
%define libbluedevil %mklibname bluedevil %bluedevil_major

%package -n %libbluedevil
Summary: Bluedevil Runtime library
Group: System/Libraries

%description -n %libbluedevil
Qt-based library written in C++ to handle all Bluetooth functionality

%files -n %libbluedevil
%_kde_libdir/libbluedevil.so.%{bluedevil_major}*

#------------------------------------------------

%package devel
Summary: Devel stuff for %name
Group: Development/KDE and Qt
Requires: %libbluedevil = %version-%release

%description  devel
This package contains header files needed if you wish to build applications
based on %{name} .

%files devel
%_kde_includedir/bluedevil
%_kde_libdir/libbluedevil.so
%_kde_libdir/pkgconfig/bluedevil.pc

#-----------------------------------------------------------------------------

%prep
%setup -qn %name-%{version}

%build
%cmake_kde4
%make

%install
rm -rf %buildroot

%makeinstall_std -C build



%changelog

* Sat Jan 12 2013 umeabot <umeabot> 1.9.2-2.mga3
+ Revision: 356852
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jun 11 2012 fwang <fwang> 1.9.2-1.mga3
+ Revision: 259637
- new version 1.9.2

* Mon Oct 10 2011 mikala <mikala> 1.9.1-1.mga2
+ Revision: 153605
- Remove %%clean section
- Update tarball to 1.9.1
- remove %%defattr()

* Tue May 03 2011 mikala <mikala> 1.9-0.mga1
+ Revision: 94333
- Update tarball to 1.9
- use of %%version & do not hardcode version in URL & %%setup

* Mon Feb 21 2011 mikala <mikala> 1.8.1-1.mga1
+ Revision: 55302
- Remove BuildRoot
- Update summary for libbluedevil
- imported package libbluedevil

